Bug 470062 - XO display goes strange after some minutes idle
XO display goes strange after some minutes idle
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-amd (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: FedoraOnXO
  Show dependency treegraph
 
Reported: 2008-11-05 10:49 EST by Alexander Todorov
Modified: 2009-12-18 01:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:45:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen looking strange (129.29 KB, image/jpeg)
2008-11-05 10:49 EST, Alexander Todorov
no flags Details
another picture where the spot is more visible (187.54 KB, image/jpeg)
2008-11-05 10:49 EST, Alexander Todorov
no flags Details
pure black screen (182.15 KB, image/jpeg)
2008-11-05 10:51 EST, Alexander Todorov
no flags Details
xorg.conf (991 bytes, text/plain)
2008-11-10 03:30 EST, Alexander Todorov
no flags Details
Xorg.0.log when running with the attached xorg.conf (17.35 KB, text/plain)
2008-11-10 03:31 EST, Alexander Todorov
no flags Details
Xorg.0.log when no xorg.conf (20.18 KB, text/plain)
2008-11-10 03:39 EST, Alexander Todorov
no flags Details

  None (edit)
Description Alexander Todorov 2008-11-05 10:49:03 EST
Created attachment 322595 [details]
screen looking strange

Description of problem:
When you don't use your computer the display will turn black in order to save some power. On the XO laptop after 20(or so) minutes of being pure black the display color changes to grey (sort of) and a square spot appears on the screen. The screen appearance (excluding the spot) is similar to when one starts X without any desktop environment or window manager.

Version-Release number of selected component (if applicable):
Fedora 10 Preview release

How reproducible:
Always on my XO

Steps to Reproduce:
1. Boot and login to the desktop
2. Leave the computer idle for 20-30 minutes
3.
  
Actual results:
See screen shots

Expected results:


Additional info:
I'm not sure what's causing this and it might be related to the video driver or the missing power management capabilities for the XO.
Comment 1 Alexander Todorov 2008-11-05 10:49:50 EST
Created attachment 322597 [details]
another picture where the spot is more visible
Comment 2 Alexander Todorov 2008-11-05 10:51:24 EST
Created attachment 322598 [details]
pure black screen

this is when you either lock the screen from the desktop menu or when it turns black after the system is booted. The spots on this one are just reflections from the light in the room.
Comment 3 Matěj Cepl 2008-11-07 18:22:58 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Alexander Todorov 2008-11-10 03:30:57 EST
Created attachment 323044 [details]
xorg.conf
Comment 5 Alexander Todorov 2008-11-10 03:31:29 EST
Created attachment 323045 [details]
Xorg.0.log when running with the attached xorg.conf
Comment 6 Alexander Todorov 2008-11-10 03:39:26 EST
Created attachment 323046 [details]
Xorg.0.log when no xorg.conf

Steps to reproduce:

1) init 3
2) rm /etc/X11/xorg.conf && rm /var/log/Xorg.0.log
3) init 5

Actual results:
The screen goes ugly right after X starts. It goes through several phases which are clearly wisible and finally (in a minute or so) the strange rectangular shape appears (see screenshots). GDM menu never shows.
Comment 7 Ignacio Vazquez-Abrams 2008-11-10 03:45:41 EST
I'm thinking that this may be an artifact of how the display is designed. At that point it would probably be trying to power down the display, and it may be that it's doing it incorrectly. We should bring in a OLPC engineer on this.
Comment 8 Ignacio Vazquez-Abrams 2008-11-10 07:23:03 EST
In my case it's definitely a power down issue; it can be replicated by running "gnome-screensaver-command -a ; xset dpms force standby".
Comment 10 Bug Zapper 2008-11-25 23:49:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-11-18 03:45:43 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-12-18 01:45:03 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.